<div class='active'>

  <table mat-table matSort [dataSource]="activeLoads" (matSortChange)="announceSortChange($event)">

    <ng-container matColumnDef="index">
      <th mat-header-cell *matHeaderCellDef> # </th>
      <td mat-cell *matCellDef="let index = index">{{(index + 1) + (paginator.pageIndex * paginator.pageSize) }}</td>
    </ng-container>

    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef mat-sort-header sortActionDescription="Sort by name" i18n> LOAD NAME </th>
      <td mat-cell *matCellDef="let element"> {{element.name}} </td>
    </ng-container>

    <ng-container matColumnDef="date">
      <th mat-header-cell *matHeaderCellDef mat-sort-header sortActionDescription="Sort by date" i18n> CREATED DATE </th>
      <td mat-cell *matCellDef="let element"> {{element.created_date | date:'h:mm:ss LLL, dd, yyyy'}} </td>
    </ng-container>

    <ng-container matColumnDef="status">
      <th mat-header-cell *matHeaderCellDef mat-sort-header sortActionDescription="Sort by status" i18n> STATUS </th>
      <td mat-cell *matCellDef="let element"> {{element.status}} </td>
    </ng-container>

    <ng-container matColumnDef="pickup">
      <th mat-header-cell *matHeaderCellDef i18n> PICK-UP ADDRESS </th>
      <td mat-cell *matCellDef="let element"> {{element.pickup_address}} </td>
    </ng-container>

    <ng-container matColumnDef="delivery">
      <th mat-header-cell *matHeaderCellDef i18n> DELIVERY ADDRESS </th>
      <td mat-cell *matCellDef="let element"> {{element.delivery_address}} </td>
    </ng-container>

    <ng-container matColumnDef="state">
      <th mat-header-cell *matHeaderCellDef i18n> STATE </th>
      <td mat-cell *matCellDef="let element"> {{element.state}} </td>
    </ng-container>

    <ng-container matColumnDef="edit">
      <th class='edit' mat-header-cell *matHeaderCellDef></th>
      <td mat-cell *matCellDef="let element">
        <button
          *ngIf='element.status === "NEW"'
          mat-icon-button color="primary"
          matTooltip='Edit Load'
          aria-label="Example icon button with a home icon">
          <mat-icon>edit</mat-icon>
        </button>
      </td>
    </ng-container>


    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr class='active__row' mat-row *matRowDef="let row; columns: displayedColumns;" (click)='openLoad(row)'></tr>
  </table>

  <mat-paginator #paginator [length]="length"
                 [pageSize]="pageSize"
                 [pageSizeOptions]="pageSizeOptions"
                 (page)="handlePageEvent($event)"
                 aria-label="Select page">
  </mat-paginator>

  <div *ngIf='isLoading && userRole === "DRIVER"' class='spinner'>
    <app-spinner></app-spinner>
  </div>

</div>
